## libva 2.4.0

=== meson_options.txt ===
option('driverdir', type : 'string', description : 'drivers path')
option('disable_drm', type : 'boolean', value : false)
option('with_x11', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with_glx', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with_wayland', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('enable_docs', type : 'boolean', value : false)

## libva 0.31.0-1+sds9

=== debian/changelog ===
libva (0.31.0-1+sds9) hardy; urgency=low

  * Add extra picture info for VDPAU/MPEG-4.

 --  <gbeauchesne@splitted-desktop.com>  Mon, 23 Nov 2009 09:48:39 +0000

libva (0.31.0-1+sds8) hardy; urgency=low

  * Fix detection of ATI chipsets with fglrx >= 8.69-Beta1.
  * Upgrade to GIT snapshot 2009/11/20:
    - Merge in some G45 fixes and additions.
    - Add VA_STATUS_ERROR_SURFACE_IN_DISPLAYING.

 --  <gbeauchesne@splitted-desktop.com>  Fri, 20 Nov 2009 10:44:07 +0000

libva (0.31.0-1+sds7) hardy; urgency=low

  * G45 updates:
    - Add RGBA subpicture formats.
    - Add YV12 vaGetImage() and vaPutImage().
    - Fix subpicture rendering (flickering).
    - Fix return value for unimplemented functions.
    - Fix vaPutSurface() to handle cliprects (up to 80).

 --  <gbeauchesne@splitted-desktop.com>  Wed, 04 Nov 2009 12:16:11 +0000

libva (0.31.0-1+sds6) hardy; urgency=low

  * Fix compatibility with older programs linked against libva.so.0.
  * G45 updates:
    - Fix vaCreateImage() and vaDestroyImage().
    - Fix subpictures association to parent surfaces.
    - Fix rendering of subpictures (extra level of scaling).
    - Fix subpicture palette upload (IA44 and AI44 formats for now).

 --  <gbeauchesne@splitted-desktop.com>  Fri, 30 Oct 2009 14:17:00 +0000

libva (0.31.0-1+sds5) hardy; urgency=low

  * G45 updates:
    - Fix VA driver version.
    - Fix vaAssociateSubpicture() arguments.
    - Add vaQueryDisplayAttributes() as a no-op.
    - Fix vaQueryImageFormats() to return 0 formats at this time.

 --  <gbeauchesne@splitted-desktop.com>  Thu, 24 Sep 2009 12:23:49 +0000

libva (0.31.0-1+sds4) hardy; urgency=low

  * Fix chek for GLX extensions.
  * Fix libva pkgconfig dependencies.
  * Fix vainfo dependencies (Konstantin Pavlov).
  * Add C++ guards to <va/va_glx.h>.
  * Don't search LIBGL_DRIVERS_PATH, stick to extra LIBVA_DRIVERS_PATH.
  * Upgrade to GIT snapshot 2009/09/22:
    - Merge in SDS patches 001, 201, 202.
    - i965_drv_driver: use the horizontal position of a slice.

 --  <gbeauchesne@splitted-desktop.com>  Tue, 22 Sep 2009 13:15:40 +0000

libva (0.31.0-1+sds3) hardy; urgency=low

  * Fix detection of ATI chipsets with fglrx >= 8.66-RC1.
  * Add VASliceParameterBufferMPEG2.slice_horizontal_position for i965 driver.

 --  <gbeauchesne@splitted-desktop.com>  Thu, 10 Sep 2009 13:42:05 +0000

libva (0.31.0-1+sds2) hardy; urgency=low

  * Upgrade to GIT snapshot 2009/09/07.
  * Add generic VA/GLX implementation with TFP and FBO.

 --  <gbeauchesne@splitted-desktop.com>  Tue, 08 Sep 2009 12:26:18 +0000

libva (0.31.0-1+sds1) hardy; urgency=low

  * Upgrade to VA API version 0.31 (2009/09/02 snapshot).
  * Add drmOpenOnce() / drmCloseOnce() replacements for libdrm < 2.3.

 --  <gbeauchesne@splitted-desktop.com>  Wed, 02 Sep 2009 12:06:45 +0000

libva (0.30.4-1+sds6) hardy; urgency=low

  * Add OpenGL extensions (v3).

 --  <gbeauchesne@splitted-desktop.com>  Fri, 28 Aug 2009 11:16:11 +0000

libva (0.30.4-1+sds5) hardy; urgency=low

  * Add VA_STATUS_ERROR_UNIMPLEMENTED.
  * Add vaBindSurfaceToTextureGLX() and vaReleaseSurfaceFromTextureGLX().

 --  <gbeauchesne@splitted-desktop.com>  Wed, 26 Aug 2009 12:40:31 +0000

libva (0.30.4-1+sds4) hardy; urgency=low

  * Add OpenGL extensions.
  * Fix NVIDIA driver version check.
  * Fix libva-x11-VERSION.so.* build dependencies.

 --  <gbeauchesne@splitted-desktop.com>  Tue, 18 Aug 2009 08:38:56 +0000

libva (0.30.4-1+sds3) hardy; urgency=low

  * Fix build of i965_drv_video.so (Paul Bender).
  * Check for libdrm >= 2.4 prior to allowing build of i965_drv_video.so.

 --  <gbeauchesne@splitted-desktop.com>  Mon, 06 Jul 2009 10:58:19 +0000

libva (0.30.4-1+sds2) hardy; urgency=low

  * Drop obsolete struct fields.
  * Add VA_INVALID_ID helper macro.
  * Fix memory leak (VADriverContext.dri_state).
  * Fix VAEncSliceParameterBuffer compat thunk for 0.30 drivers.
  * Make the libva1 package own /usr/lib/va/drivers/ directory.

 --  <gbeauchesne@splitted-desktop.com>  Thu, 02 Jul 2009 13:29:38 +0000

libva (0.30.4-1+sds1) hardy; urgency=low

  * Upgrade to VA API version 0.30.4.

 --  <gbeauchesne@splitted-desktop.com>  Thu, 02 Jul 2009 09:30:15 +0000

libva (0.30-1+sds1) hardy; urgency=low

  * Upgrade to VA API version 0.30.
  * Fix vainfo and few build issues.

 --  <gbeauchesne@splitted-desktop.com>  Thu, 25 Jun 2009 15:31:07 +0000

libva (0.29-2+sds12) hardy; urgency=low

  * Add debug package (libva1-dbg).
  * Fix va_IsIntelBuffer() for IEGD.

 --  <gbeauchesne@splitted-desktop.com>  Thu, 16 Apr 2009 11:16:31 +0000

libva (0.29-2+sds11) hardy; urgency=low

  * Add VASliceParameterBufferBase.
  * Add new bit to signal VC-1 skipped P-frames.

 --  <gbeauchesne@splitted-desktop.com>  Fri, 20 Mar 2009 13:23:59 +0000

libva (0.29-2+sds10) hardy; urgency=low

  * Rework library SONAME patch.
  * Rename MAKEFOURCC to VA_FOURCC.

 --  <gbeauchesne@splitted-desktop.com>  Mon, 02 Mar 2009 15:50:54 +0000

libva (0.29-2+sds9) hardy; urgency=low

  * Lower libdrm-dev requirements. Drop libgl-dev build-dep.
  * Add H.264 reference_pic_flag (nal_ref_idc != 0) for VDPAU and XvBA.

 --  <gbeauchesne@splitted-desktop.com>  Thu, 05 Feb 2009 13:34:49 +0000

libva (0.29-2+sds8) hardy; urgency=low

  * Add extra H.264 info for XvBA backend.
  * Set drivers path to LIBDIR/va-API_VERSION/drivers.
  * Drop drivers info retrieval through GLX.

 --  <gbeauchesne@splitted-desktop.com>  Wed, 28 Jan 2009 09:56:13 +0000

libva (0.29-2+sds7) hardy; urgency=low

  * Add extra VC-1 info for VDPAU backend.
  * Make the API change clear in VAPictureH264 too.

 --  <gbeauchesne@splitted-desktop.com>  Tue, 20 Jan 2009 12:26:16 +0000

libva (0.29-2+sds6) hardy; urgency=low

  * The H.264 additions require an ABI change.
  * Add compatibility layer with upstream libVA 0.29 buffers.

 --  <gbeauchesne@splitted-desktop.com>  Fri, 16 Jan 2009 10:18:55 +0000

libva (0.29-2+sds5) hardy; urgency=low

  * Improve detection of NVIDIA driver.


=== debian/control ===
Source: libva
Priority: extra
Maintainer: Waldo Bastian <waldo.bastian@intel.com>
Build-Depends: cdbs,
	       debhelper (>= 5),
               autotools-dev,
               libdrm-dev,
               x11proto-xext-dev,
               libxext-dev,
	       libgl1-mesa-dev,
               pkg-config,
	       automake1.9, libtool
Standards-Version: 3.7.2
Section: libs

Package: libva-dev
Section: libdevel
Architecture: any
Depends: libva1 (= ${binary:Version}),
         libdrm-dev,
         pkg-config
Conflicts: libva-0.29-dev
Replaces: libva-0.29-dev
Description: Video Acceleration (VA) API for Linux -- development files
 The libva library implements the Video Acceleration (VA) API for Linux.
 The library loads a hardware dependendent driver.
 .
 This package provides the development environment for libva.

Package: libva1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libva-0.29-0
Replaces: libva-0.29-0
Provides: libva-0.29-0
Description: Video Acceleration (VA) API for Linux -- runtime
 The libva library implements the Video Acceleration (VA) API for Linux.
 The library loads a hardware dependendent driver.

Package: libva1-dbg
Section: libdevel
Architecture: any
Depends: libva1 (= ${Source-Version})
Description: Video Acceleration (VA) API for Linux -- runtime
 The libva library implements the Video Acceleration (VA) API for Linux.
 The library loads a hardware dependendent driver.
 .
 This package contains the debug files.

## libva 0.31.0-1+sds9.1ubuntu1

=== debian/changelog ===
libva (0.31.0-1+sds9.1ubuntu1) lucid; urgency=low

  * build for lucid

 -- Vitaliy Kulikov <slonua@gmail.com>  Thu, 13 May 2010 16:39:19 +0300

libva (0.31.0-1+sds9.1) hardy; urgency=low

  * Non-maintainer upload.
  * Updated to libhva 0.31
  * Added missing dependency on libxfixes-dev

 -- José Bernardo Bandos <jbbandos@hotmail.com>  Tue, 04 May 2010 12:38:38 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libxext-dev,
 	       libgl1-mesa-dev,
                pkg-config,
-	       automake1.9, libtool
+	       automake1.9, libtool, libxfixes-dev
 Standards-Version: 3.7.2
 Section: libs

## libva 0.31.0-2jolicloud1+sds9.1u1

=== debian/changelog ===
libva (0.31.0-2jolicloud1+sds9.1u1) robby-lucid; urgency=low

  * Set build/dev dependency on libdrm-poulsbo-dev, not libdrm-dev

 -- Adam McDaniel <adam@jolicloud.org>  Thu, 02 Dec 2010 16:11:17 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: cdbs,
 	       debhelper (>= 5),
                autotools-dev,
-               libdrm-dev,
+               libdrm-poulsbo-dev,
                x11proto-xext-dev,
                libxext-dev,
 	       libgl1-mesa-dev,
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Depends: libva1 (= ${binary:Version}),
-         libdrm-dev,
+         libdrm-poulsbo-dev,
          pkg-config
 Conflicts: libva-0.29-dev
 Replaces: libva-0.29-dev

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

# Version inforamtion
VA_MAJOR_VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | cut -d'.' -f1)
VA_MINOR_VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | cut -d'.' -f2)

# Optimisation flags
CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Allow SMP build
ifeq ($(DEBIAN_BUILD_NCPUS),)
	DEBIAN_BUILD_NCPUS = $(shell /usr/bin/getconf _NPROCESSORS_ONLN)
endif
ifneq ($(DEBIAN_BUILD_NCPUS),)
	EXTRA_MAKE_FLAGS += -j$(DEBIAN_BUILD_NCPUS)
endif
MAKE += $(EXTRA_MAKE_FLAGS)

# Extra configure flags
DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-z,defs"
DEB_CONFIGURE_USER_FLAGS += --disable-i965-driver

update-config:: run-autoreconf
common-binary-predeb-arch:: list-missing

run-autoreconf: stamp-autoreconf
stamp-autoreconf:
	autoreconf -i
	touch $@

# Compatibility with older packaging (and SONAME)
install/libva1::
	echo ".text"|gcc -xassembler - -o debian/tmp/usr/lib/libva.so.0.29 -shared -Wl,-soname,libva.so.0 -Ldebian/tmp/usr/lib -lva-compat
	echo ".text"|gcc -xassembler - -o debian/tmp/usr/lib/libva.so.1.0.0 -shared -Wl,-soname,libva.so.1 -Ldebian/tmp/usr/lib -lva-x11
	/sbin/ldconfig -n debian/tmp/usr/lib

## libva 0.31.0-13

=== debian/changelog ===
libva (0.31.0-13) unstable lucid karmic; urgency=low

  * Updated to the latest source snapshot of April 28, 2010, sds13.

 -- Rob Savoye (Rollinsville, CO) <rob@welcomehome.org>  Tue, 10 May 2010 04:20:00 +0100

libva (0.31.0-3) unstable lucid karmic; urgency=low

  * Updated to the latest source snapshot of April 04, 2010.

 -- Rob Savoye (Rollinsville, CO) <rob@welcomehome.org>  Tue, 27 Apr 2010 04:20:00 +0100

libva (0.31.0-2) unstable lucid karmic; urgency=low

  * Adapt to Lucid.

libva (0.31.0-1+sds13) hardy; urgency=low

  * Fix default OpenGL implementation for XBMC.
  * Fix compat buffers destruction in vaTerminate().
  * G45 updates:
    - Add NV12 image format.
    - Add H.264 decoder from i965_h264 branch (2010/04/19).
    - Don't clobber internal functions with system definitions.

 -- Gwenole Beauchesne <gbeauchesne@splitted-desktop.com>  Wed, 28 Apr 2010 15:29:56 +0200

libva (0.31.0-1+sds12) hardy; urgency=low

  * G45 updates:
    - Add I420 image format.
    - Fix destruction of image created by vaDeriveImage().
  * OpenGL extensions updates:
    - Fix vaCopySurfaceGLX() to handle the postprocessing flags.
    - Fix default implementation with TFP + FBO. Requires GLX 1.3.
    - Fix vaCreateSurfaceGLX() to handle GL_RGBA8 internal formats.

 -- Gwenole Beauchesne <gbeauchesne@splitted-desktop.com>  Sun, 04 Apr 2010 07:56:59 +0200

libva (0.31.0-1+sds11) hardy; urgency=low

  * G45 updates:
    - Add vaDeriveImage().
    - Fix YV12 image format.
  * OpenGL extensions updates:
    - Dynamically allocate VA/GLX vtable.
    - Fix display context destruction chain.
  * Upgrade to GIT snapshot 2010/03/08:
    - Merge SDS patches 010, 320.
    - Fix test/encode/h264encode.c issue.

 -- Gwenole Beauchesne <gbeauchesne@splitted-desktop.com>  Fri, 26 Feb 2010 10:26:13 +0000

libva (0.31.0-1+sds10) hardy; urgency=low

  * Add detection of Broadcom Crystal HD chip.
  * Require vaDriverInit() function to include SDS API version. 
  * OpenGL extensions updates:
    - Drop the 'bind' API. Only keep vaCopySurfaceGLX().
    - Fix FBO check for the generic implementation with TFP.
  * Compat: strip vaPutSurface() flags to match older API.
    - This fixes deinterlacing support with GMA500 "psb" driver.
  * Upgrade to GIT snapshot 2009/12/17:
    - Add a "magic" number to VADisplayContext.
    - Add more test programs, including h264 encoding.

 -- Gwenole Beauchesne <gbeauchesne@splitted-desktop.com>  Tue, 23 Feb 2010 11:29:52 +0000

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Build-Depends: cdbs,
 	       debhelper (>= 5),
                autotools-dev,
-               libdrm-poulsbo-dev,
+               libdrm-dev,
                x11proto-xext-dev,
                libxext-dev,
+	       libxfixes-dev,
 	       libgl1-mesa-dev,
                pkg-config,
-	       automake1.9, libtool, libxfixes-dev
+	       automake, libtool
 Standards-Version: 3.7.2
 Section: libs
 
-Package: libva-dev
+Package: libva1-dev
 Section: libdevel
 Architecture: any
 Depends: libva1 (= ${binary:Version}),
-         libdrm-poulsbo-dev,
+         libdrm-dev,
          pkg-config
 Conflicts: libva-0.29-dev
 Replaces: libva-0.29-dev
@@ -32,8 +33,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Conflicts: libva-0.29-0
-Replaces: libva-0.29-0
-Provides: libva-0.29-0
+Replaces: libva1-0.31-3
+Provides: libva-0.31.0
 Description: Video Acceleration (VA) API for Linux -- runtime
  The libva library implements the Video Acceleration (VA) API for Linux.
  The library loads a hardware dependendent driver.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
+#include /usr/share/cdbs/1/rules/simple-patchsys.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
 # Version inforamtion

## libva 0.31.1-1+sds4

=== debian/changelog ===
libva (0.31.1-1+sds4) hardy; urgency=low

  * Fix detection of fglrx. Use AMD Display Library.
  * H.264 decoder updates to Ironlake (2010/07/13):
    - Allow vaGetImage() with arbitrary region.
    - Use original width/height for rendering.
    - Fix rendering of subpictures.
    - Fix vaGetImage() with empty VA surfaces.
    - Fix VA surface type (NV12 or I420) earlier in vaCreateContext().

 -- Gwenole Beauchesne <gbeauchesne@splitted-desktop.com>  Tue, 13 Jul 2010 13:53:46 +0200

libva (0.31.1-1+sds3) hardy; urgency=low

  * Fix vaErrorStr() for VA_STATUS_ERROR_INVALID_IMAGE_FORMAT.
  * H.264 decoder updates to Ironlake (2010/07/07):
    - Fix issue with different slice types within a same picture.
    - Fix BSD batch buffer size.
    - Fix the start of a slice for an MBAFF picture.
    - Fix slice_data_bit_offset. e.g. fix BASQP1_Sony_C.jsv.
    - Fix rendering to a Pixmap. i.e. allow VA/GLX to work again.

 -- Gwenole Beauchesne <gbeauchesne@splitted-desktop.com>  Wed, 07 Jul 2010 11:56:08 +0200

libva (0.31.1-1+sds2) hardy; urgency=low

  * H.264 decoder updates to Ironlake (2010/06/25):
    - Fix register blocks for ILDB.
    - Fix motion compensation kernel.
    - Fix chroma issue.
  * OpenGL extensions updates:
    - Drop GLX 1.3 requirement.
    - Fix all TFP functions to be called through a vtable.

 -- Gwenole Beauchesne <gbeauchesne@splitted-desktop.com>  Thu, 01 Jul 2010 10:59:23 +0200

libva (0.31.1-1+sds1) hardy; urgency=low

  * Add VA_STATUS_ERROR_INVALID_IMAGE_FORMAT.
  * Update DRI2 code to support swapbuffer (Haihao Xiang).
  * G45 updates:
    - Fix vaTerminate().
    - Drop vaDeriveImage(). Prefer 2x 1080p streams decode capability.
  * Update Ironlake H.264 decoder from i965_h264 branch (2010/06/08):
    - Add support for in-loop deblocking step.
    - Increase number of threads used for decoding.
    - Lower graphics memory usage to enable 2 HD streams decoding.
  * Upgrade to GIT snapshot 2010/06/04:
    - Add VA/GLX extensions.
    - Add support for Android.
    - Add JPEG encoding support.
    - Fix H.264 encoding support.

 -- Gwenole Beauchesne <gbeauchesne@splitted-desktop.com>  Wed, 09 Jun 2010 09:01:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Build-Depends: cdbs,
 	       debhelper (>= 5),
                autotools-dev,
-               libdrm-dev,
+               libdrm-dev (>= 2.4),
                x11proto-xext-dev,
                libxext-dev,
 	       libxfixes-dev,
-	       libgl1-mesa-dev,
+	       libgl-dev,
                pkg-config,
-	       automake, libtool
+	       automake1.9, libtool
 Standards-Version: 3.7.2
 Section: libs
 
-Package: libva1-dev
+Package: libva-dev
 Section: libdevel
 Architecture: any
 Depends: libva1 (= ${binary:Version}),
-         libdrm-dev,
+         libdrm-dev (>= 2.4),
          pkg-config
 Conflicts: libva-0.29-dev
 Replaces: libva-0.29-dev
@@ -33,8 +33,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Conflicts: libva-0.29-0
-Replaces: libva1-0.31-3
-Provides: libva-0.31.0
+Replaces: libva-0.29-0
+Provides: libva-0.29-0
 Description: Video Acceleration (VA) API for Linux -- runtime
  The libva library implements the Video Acceleration (VA) API for Linux.
  The library loads a hardware dependendent driver.
@@ -49,3 +49,16 @@
  .
  This package contains the debug files.
 
+Package: libva-driver-i965
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: Video Acceleration (VA) API for Linux -- driver for Intel G45 cores
+ The libva library implements the Video Acceleration (VA) API for Linux.
+ The library loads a hardware dependendent driver.
+ .
+ This package contains the driver for Intel G45 cores:
+ - Intel GMA X4500
+ - Intel GMA X4500HD
+ - Intel GMA 4500MHD
+ - Intel HD Graphics (Core i3/i5/i7 IGP)

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
-#include /usr/share/cdbs/1/rules/simple-patchsys.mk
+include /usr/share/cdbs/1/rules/simple-patchsys.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
 # Version inforamtion
@@ -29,9 +29,18 @@
 endif
 MAKE += $(EXTRA_MAKE_FLAGS)
 
+# Detect libdrm2 version
+LIBDRM_VERSION := $(shell dpkg-query -W -f='$${Version}\n' libdrm2 2>/dev/null)
+has-libdrm-2.4 := $(shell dpkg --compare-versions $(LIBDRM_VERSION) ge 2.4 && echo yes || echo no)
+
 # Extra configure flags
 DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-z,defs"
+
+ifeq ($(has-libdrm-2.4),yes)
+DEB_CONFIGURE_USER_FLAGS += --enable-i965-driver
+else
 DEB_CONFIGURE_USER_FLAGS += --disable-i965-driver
+endif
 
 update-config:: run-autoreconf
 common-binary-predeb-arch:: list-missing
@@ -46,3 +55,13 @@
 	echo ".text"|gcc -xassembler - -o debian/tmp/usr/lib/libva.so.0.29 -shared -Wl,-soname,libva.so.0 -Ldebian/tmp/usr/lib -lva-compat
 	echo ".text"|gcc -xassembler - -o debian/tmp/usr/lib/libva.so.1.0.0 -shared -Wl,-soname,libva.so.1 -Ldebian/tmp/usr/lib -lva-x11
 	/sbin/ldconfig -n debian/tmp/usr/lib
+
+# Regenerate debian/control
+regen-control: debian/control.in debian/control.driver.i965
+	sed -e 's/@LIBDRM_VERSION@/$(LIBDRM_VERSION)/'		  \
+	  < debian/control.in					  \
+	  > debian/control
+	if test "$(has-libdrm-2.4)" = "yes"; then		  \
+	  echo >> debian/control				; \
+	  cat debian/control.driver.i965 >> debian/control	; \
+	fi

## libva 0.32.0-1+sds2

=== debian/changelog ===
libva (0.32.0-1+sds2) hardy; urgency=low

  * Upgrade to GIT snapshot (2011/02/24):
    - Add initial support for EGL.
    - Fixes to Sandy Bridge decoder.

 -- Gwenole Beauchesne <gbeauchesne@splitted-desktop.com>  Thu, 24 Feb 2011 11:01:46 +0100

libva (0.32.0-1+sds1) hardy; urgency=low

  * Make VADriverContext.vtable a pointer.
  * Allow programs linked against upstream libva 1.0.x to run.
  * Upgrade to GIT snapshot (2011/01/27):
    - Add VC-1 decoding support to Sandy Bridge.
    - Add a new "profile" member to VC-1 pic param.

 -- Gwenole Beauchesne <gbeauchesne@splitted-desktop.com>  Thu, 27 Jan 2011 10:04:57 +0100

libva (0.31.1-1+sds5) hardy; urgency=low

  * Intel driver updates:
    - Add Sandy Bridge support.
    - Add deinterlacing and scaling (non-linear anamorphic).
    - Add run-time detection of H.264 decoding support.
  * Upgrade to GIT snapshot (2011/01/25):
    - Add various VA trace fixes.
    - Add vaPutsurface() scaling flags.
    - Add SMPTE-240M colorspace specification.

 -- Gwenole Beauchesne <gbeauchesne@splitted-desktop.com>  Tue, 25 Jan 2011 15:27:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,9 @@
 # Compatibility with older packaging (and SONAME)
 install/libva1::
 	echo ".text"|gcc -xassembler - -o debian/tmp/usr/lib/libva.so.0.29 -shared -Wl,-soname,libva.so.0 -Ldebian/tmp/usr/lib -lva-compat
-	echo ".text"|gcc -xassembler - -o debian/tmp/usr/lib/libva.so.1.0.0 -shared -Wl,-soname,libva.so.1 -Ldebian/tmp/usr/lib -lva-x11
+	echo ".text"|gcc -xassembler - -o debian/tmp/usr/lib/libva.so.1.0.0 -shared -Wl,-soname,libva.so.1 -Ldebian/tmp/usr/lib -lva
+	echo ".text"|gcc -xassembler - -o debian/tmp/usr/lib/libva-x11.so.1.0.0 -shared -Wl,-soname,libva-x11.so.1 -Ldebian/tmp/usr/lib -lva-x11
+	echo ".text"|gcc -xassembler - -o debian/tmp/usr/lib/libva-glx.so.1.0.0 -shared -Wl,-soname,libva-glx.so.1 -Ldebian/tmp/usr/lib -lva-glx
 	/sbin/ldconfig -n debian/tmp/usr/lib
 
 # Regenerate debian/control

## libva 1.0.1-3+0.31.1-1+sds4

=== debian/changelog ===
libva (1.0.1-3+0.31.1-1+sds4) maverick; urgency=low

  * Upload for maverick

 -- Maarten Fonville <maarten.fonville@gmail.com>  Tue, 05 Oct 2010 11:53:46 +0200

## libva 1.0.8

=== debian/changelog ===
libva (1.0.8-3) unstable; urgency=low

  [ Artur Rona ]
  * Update library dependencies to fix FTBFS properly.

  [ Reinhard Tartler ]
  * Disable i965 driver on hurd-i386, Closes: #613102

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 13 Feb 2011 19:01:16 +0100

libva (1.0.8-2) unstable; urgency=low

  [ Petr Salinger ]
  * Fix FTBFS on kFreeBSD, Closes: #612480, #612438

  [ Reinhard Tartler ]
  * upload to unstable.
  * Ease building with Source Format 3.0 (quilt).

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 08 Feb 2011 19:53:07 +0100

libva (1.0.8-1) experimental; urgency=low

  * New upstream version.

 -- Andres Mejia <mcitadel@gmail.com>  Sun, 30 Jan 2011 11:31:02 -0500

libva (1.0.7-1) experimental; urgency=low

  * New upstream version (Closes: #601665)
  * Fixes crashes (Closes: #589367, #599329)
  * add myself as uploader
  * replace autoreconf.patch with dh-autoreconf
  * update library dependencies for test programs, fixes FTBFS
  * fix watchfile
  * tighten dependency on libdrm-dev
  * Force upgrade of vlc to avoid errors while loading libva
    (Closes: #603612)
  * Switch to Format 3.0 (quilt)
  
 -- Reinhard Tartler <siretart@tauware.de>  Sun, 09 Jan 2011 16:46:57 +0100

libva (1.0.4-1) experimental; urgency=low

  * New upstream release.
  * Fix bad names for library packages.
  * Update Standards-Version to 3.9.1. No changes needed.
  * Include TPI and GLX libraries. (Closes: #592070)
  * Have dev package also depend on new TPI and GLX library packages.

 -- Andres Mejia <mcitadel@gmail.com>  Fri, 10 Sep 2010 13:52:00 -0400

libva (1.0.1-3) unstable; urgency=low

  * Don't build i965 driver on non-i386 or non-amd64 architectures.
  * Fix warnings produced during build.
  * Remove useless dependency for dummy driver, fixing circular
    dependency. (Closes: #583884)
  * Remove unnecessary dependency on libva for libva-x11.
  * Refresh all patches.

 -- Andres Mejia <mcitadel@gmail.com>  Wed, 02 Jun 2010 19:02:50 -0400

libva (1.0.1-2) unstable; urgency=low

  * Fix copyright issues.
  * Added 'DM-Upload-Allowed: yes' entry.

 -- Andres Mejia <mcitadel@gmail.com>  Sat, 29 May 2010 12:18:20 -0400

libva (1.0.1-1) unstable; urgency=low

  * New upstream release. (Closes: #569635)
  * Rework debianization.

 -- Andres Mejia <mcitadel@gmail.com>  Fri, 12 Feb 2010 18:55:19 -0500

libva (0.24-1) unstable; urgency=low

  * Updated to v0.24
  * Display attributes added
  * H264 parameter fixes
  * Swapped vaGetConfigAttributes and vaQueryConfigAttributes

 -- Waldo Bastian <waldo.bastian@intel.com>  Thu, 20 Sep 2007 15:08:04 -0700

libva (0.22-1) unstable; urgency=low

  * Updated to v0.22
  * VAImage and VASubpicture added

 -- Waldo Bastian <waldo.bastian@intel.com>  Fri, 07 Sep 2007 04:32:28 -0700

libva (0.20-1) unstable; urgency=low

  * Updated to v0.20
  * Clean up & exporting DRI interface

 -- Waldo Bastian <waldo.bastian@intel.com>  Thu, 09 Aug 2007 11:49:43 -0700

libva (0.20~-1) unstable; urgency=low

  * Add VA_INVALID_SURFACE

 -- Waldo Bastian <waldo.bastian@intel.com>  Wed, 11 Jul 2007 17:24:10 -0700

libva (0.20~~-1) unstable; urgency=low

  * Initial release of libva

 -- Waldo Bastian <waldo.bastian@intel.com>  Mon, 18 Jun 2007 21:35:31 -0700

=== debian/control ===
Source: libva
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Andres Mejia <mcitadel@gmail.com>, Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper (>= 7.0.50),
               dh-autoreconf,
               pkg-config,
               libdrm-dev (>= 2.4.23),
               libxext-dev,
               libxfixes-dev,
               libx11-dev,
               libgl1-mesa-dev | libgl-dev,
Standards-Version: 3.9.1
Section: libs
Homepage: http://www.freedesktop.org/wiki/Software/vaapi
Vcs-Git: git://git.debian.org/git/pkg-multimedia/libva.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libva.git;a=summary
DM-Upload-Allowed: yes

Package: libva-dev
Section: libdevel
Architecture: all
Depends: libva1 (>= ${source:Upstream-Version}),
         libva1 (<< ${source:Upstream-Version}+1~),
         libva-x11-1 (>= ${source:Upstream-Version}),
         libva-x11-1 (<< ${source:Upstream-Version}+1~),
         libva-tpi1 (>= ${source:Upstream-Version}),
         libva-tpi1 (<< ${source:Upstream-Version}+1~),
         libva-glx1 (>= ${source:Upstream-Version}),
         libva-glx1 (<< ${source:Upstream-Version}+1~),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Video Acceleration (VA) API for Linux -- development files
 Video Acceleration API (VA API) is a library ("libVA") and API specification
 which enables and provides access to graphics hardware (GPU) acceleration for
 video processing on Linux and UNIX based operating systems. Accelerated
 processing includes video decoding, video encoding, subpicture blending and
 rendering. The specification was originally designed by Intel for its GMA
 (Graphics Media Accelerator) series of GPU hardware, the API is however not
 limited to GPUs or Intel specific hardware, as other hardware and manufacturers
 can also freely use this API for hardware accelerated video decoding.
 .
 This package provides the development environment for libva.

Package: libva1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: vlc-nox (<< 1.1.5-3)
Description: Video Acceleration (VA) API for Linux -- runtime
 Video Acceleration API (VA API) is a library ("libVA") and API specification
 which enables and provides access to graphics hardware (GPU) acceleration for
 video processing on Linux and UNIX based operating systems. Accelerated
 processing includes video decoding, video encoding, subpicture blending and
 rendering. The specification was originally designed by Intel for its GMA
 (Graphics Media Accelerator) series of GPU hardware, the API is however not
 limited to GPUs or Intel specific hardware, as other hardware and manufacturers
 can also freely use this API for hardware accelerated video decoding.
 .
 This package provides the main libva library.

Package: libva-x11-1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Video Acceleration (VA) API for Linux -- X11 runtime
 Video Acceleration API (VA API) is a library ("libVA") and API specification
 which enables and provides access to graphics hardware (GPU) acceleration for
 video processing on Linux and UNIX based operating systems. Accelerated
 processing includes video decoding, video encoding, subpicture blending and
 rendering. The specification was originally designed by Intel for its GMA
 (Graphics Media Accelerator) series of GPU hardware, the API is however not
 limited to GPUs or Intel specific hardware, as other hardware and manufacturers
 can also freely use this API for hardware accelerated video decoding.
 .
 This package provides the libva-x11 library.

Package: libva-glx1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Video Acceleration (VA) API for Linux -- GLX runtime
 Video Acceleration API (VA API) is a library ("libVA") and API specification
 which enables and provides access to graphics hardware (GPU) acceleration for
 video processing on Linux and UNIX based operating systems. Accelerated
 processing includes video decoding, video encoding, subpicture blending and
 rendering. The specification was originally designed by Intel for its GMA
 (Graphics Media Accelerator) series of GPU hardware, the API is however not
 limited to GPUs or Intel specific hardware, as other hardware and manufacturers
 can also freely use this API for hardware accelerated video decoding.
 .
 This package provides the libva-glx library.

Package: libva-tpi1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Video Acceleration (VA) API for Linux -- TPI runtime
 Video Acceleration API (VA API) is a library ("libVA") and API specification
 which enables and provides access to graphics hardware (GPU) acceleration for
 video processing on Linux and UNIX based operating systems. Accelerated
 processing includes video decoding, video encoding, subpicture blending and
 rendering. The specification was originally designed by Intel for its GMA
 (Graphics Media Accelerator) series of GPU hardware, the API is however not
 limited to GPUs or Intel specific hardware, as other hardware and manufacturers
 can also freely use this API for hardware accelerated video decoding.
 .
 This package provides the libva-tpi library.

Package: i965-va-driver
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64
Provides: va-driver
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Video Acceleration (VA) API for Linux -- i965 VA driver
 Video Acceleration API (VA API) is a library ("libVA") and API specification
 which enables and provides access to graphics hardware (GPU) acceleration for
 video processing on Linux and UNIX based operating systems. Accelerated
 processing includes video decoding, video encoding, subpicture blending and
 rendering. The specification was originally designed by Intel for its GMA
 (Graphics Media Accelerator) series of GPU hardware, the API is however not
 limited to GPUs or Intel specific hardware, as other hardware and manufacturers
 can also freely use this API for hardware accelerated video decoding.
 .
 This package provides the Intel i965 VA backend driver.

Package: vainfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Video Acceleration (VA) API for Linux -- info program
 Video Acceleration API (VA API) is a library ("libVA") and API specification
 which enables and provides access to graphics hardware (GPU) acceleration for
 video processing on Linux and UNIX based operating systems. Accelerated
 processing includes video decoding, video encoding, subpicture blending and
 rendering. The specification was originally designed by Intel for its GMA
 (Graphics Media Accelerator) series of GPU hardware, the API is however not
 limited to GPUs or Intel specific hardware, as other hardware and manufacturers
 can also freely use this API for hardware accelerated video decoding.
 .
 This package provides the vainfo program.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq (,$(findstring hurd,$(DEB_HOST_ARCH)))
I965_DRIVER=$(shell dpkg-architecture -a$(DEB_HOST_ARCH) -iany-amd64 || \
	dpkg-architecture -a$(DEB_HOST_ARCH) -iany-i386 && \
	echo '--enable-i965-driver')
endif

CONFIGURE_OPTIONS ?= --prefix=/usr $(I965_DRIVER)

%:
	dh --with autoreconf $@

override_dh_auto_configure:
	dh_testdir
	./configure $(CONFIGURE_OPTIONS)

get-orig-source:
	$(dir $_)libva-get-orig-source

## libva 1.0.12

=== debian/changelog ===
libva (1.0.12-2) unstable; urgency=low

  * Revert "remove debian/patches/kfreebsd-fixes.patch, applied upstream"
    (Closes: #621759)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Apr 2011 09:16:27 +0200

libva (1.0.12-1) unstable; urgency=low

  * New upstream release.
  * bump shlibs to tightend dependencies of i965-va-driver (Closes: #613332)
  
 -- Reinhard Tartler <siretart@tauware.de>  Sun, 03 Apr 2011 21:16:01 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,15 @@
 	echo '--enable-i965-driver')
 endif
 
-CONFIGURE_OPTIONS ?= --prefix=/usr $(I965_DRIVER)
+CONFIGURE_OPTIONS ?= --prefix=/usr --disable-silent-rules $(I965_DRIVER)
 
 %:
 	dh --with autoreconf $@
+
+override_dh_makeshlibs:
+	dh_makeshlibs -Nlibva1 -Nlibva-x11-1
+	dh_makeshlibs -plibva-x11-1 -V 'libva-x11-1 (>> 1.0.12~)'
+	dh_makeshlibs -plibva1      -V 'libva1 (>> 1.0.12~)'
 
 override_dh_auto_configure:
 	dh_testdir

## libva 1.0.14

=== debian/changelog ===
libva (1.0.14-1) unstable; urgency=low

  [ Andres Mejia ]
  * Updated to my @debian.org email.

  [ Reinhard Tartler ]
  * New Upstream version: 1.0.14, Closes: #639893
  * Bump shlibs for changes in va/va.h
  * debian/patches/remove-unneeded-dep.patch: add Dep-5 Headers
  * refresh patches
  * remove debian/patches/fix-warnings.patch, applied upstream
  
 -- Reinhard Tartler <siretart@tauware.de>  Mon, 31 Oct 2011 20:11:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: libva
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Andres Mejia <mcitadel@gmail.com>, Reinhard Tartler <siretart@tauware.de>
-Build-Depends: debhelper (>= 7.0.50),
-               dh-autoreconf,
-               pkg-config,
-               libdrm-dev (>= 2.4.23),
-               libxext-dev,
-               libxfixes-dev,
-               libx11-dev,
-               libgl1-mesa-dev | libgl-dev,
+Uploaders:
+ Andres Mejia <amejia@debian.org>,
+ Reinhard Tartler <siretart@tauware.de>
+Build-Depends:
+ debhelper (>= 7.0.50),
+ dh-autoreconf,
+ libdrm-dev (>= 2.4.23),
+ libgl1-mesa-dev | libgl-dev,
+ libx11-dev,
+ libxext-dev,
+ libxfixes-dev,
+ pkg-config
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://www.freedesktop.org/wiki/Software/vaapi
@@ -20,16 +23,17 @@
 Package: libva-dev
 Section: libdevel
 Architecture: all
-Depends: libva1 (>= ${source:Upstream-Version}),
-         libva1 (<< ${source:Upstream-Version}+1~),
-         libva-x11-1 (>= ${source:Upstream-Version}),
-         libva-x11-1 (<< ${source:Upstream-Version}+1~),
-         libva-tpi1 (>= ${source:Upstream-Version}),
-         libva-tpi1 (<< ${source:Upstream-Version}+1~),
-         libva-glx1 (>= ${source:Upstream-Version}),
-         libva-glx1 (<< ${source:Upstream-Version}+1~),
-         ${shlibs:Depends},
-         ${misc:Depends}
+Depends:
+ libva-glx1 (<< ${source:Upstream-Version}+1~),
+ libva-glx1 (>= ${source:Upstream-Version}),
+ libva-tpi1 (<< ${source:Upstream-Version}+1~),
+ libva-tpi1 (>= ${source:Upstream-Version}),
+ libva-x11-1 (<< ${source:Upstream-Version}+1~),
+ libva-x11-1 (>= ${source:Upstream-Version}),
+ libva1 (<< ${source:Upstream-Version}+1~),
+ libva1 (>= ${source:Upstream-Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: Video Acceleration (VA) API for Linux -- development files
  Video Acceleration API (VA API) is a library ("libVA") and API specification
  which enables and provides access to graphics hardware (GPU) acceleration for
@@ -44,8 +48,11 @@
 
 Package: libva1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: vlc-nox (<< 1.1.5-3)
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks:
+ vlc-nox (<< 1.1.5-3)
 Description: Video Acceleration (VA) API for Linux -- runtime
  Video Acceleration API (VA API) is a library ("libVA") and API specification
  which enables and provides access to graphics hardware (GPU) acceleration for
@@ -60,7 +67,9 @@
 
 Package: libva-x11-1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: Video Acceleration (VA) API for Linux -- X11 runtime
  Video Acceleration API (VA API) is a library ("libVA") and API specification
  which enables and provides access to graphics hardware (GPU) acceleration for
@@ -75,7 +84,9 @@
 
 Package: libva-glx1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: Video Acceleration (VA) API for Linux -- GLX runtime
  Video Acceleration API (VA API) is a library ("libVA") and API specification
  which enables and provides access to graphics hardware (GPU) acceleration for
@@ -90,7 +101,9 @@
 
 Package: libva-tpi1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: Video Acceleration (VA) API for Linux -- TPI runtime
  Video Acceleration API (VA API) is a library ("libVA") and API specification
  which enables and provides access to graphics hardware (GPU) acceleration for
@@ -104,9 +117,12 @@
  This package provides the libva-tpi library.
 
 Package: i965-va-driver
-Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64
-Provides: va-driver
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
+Provides:
+ va-driver
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: Video Acceleration (VA) API for Linux -- i965 VA driver
  Video Acceleration API (VA API) is a library ("libVA") and API specification
  which enables and provides access to graphics hardware (GPU) acceleration for
@@ -121,7 +137,9 @@
 
 Package: vainfo
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: Video Acceleration (VA) API for Linux -- info program
  Video Acceleration API (VA API) is a library ("libVA") and API specification
  which enables and provides access to graphics hardware (GPU) acceleration for

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Nlibva1 -Nlibva-x11-1
-	dh_makeshlibs -plibva-x11-1 -V 'libva-x11-1 (>> 1.0.12~)'
-	dh_makeshlibs -plibva1      -V 'libva1 (>> 1.0.12~)'
+	dh_makeshlibs -plibva-x11-1 -V 'libva-x11-1 (>> 1.0.14~)'
+	dh_makeshlibs -plibva1      -V 'libva1 (>> 1.0.14~)'
 
 override_dh_auto_configure:
 	dh_testdir

## libva 1.0.15

=== debian/changelog ===
libva (1.0.15-4) unstable; urgency=low

  * Change section of vainfo to utils.

 -- Andres Mejia <amejia@debian.org>  Sun, 18 Mar 2012 14:08:35 -0400

libva (1.0.15-3) unstable; urgency=low

  * Allow dev package to be multi-arch installable.

 -- Andres Mejia <amejia@debian.org>  Fri, 16 Mar 2012 11:56:24 -0400

libva (1.0.15-2) unstable; urgency=low

  [ Matteo F. Vescovi ]
  * debian/control: vainfo's "Section:" field defined (Closes: #631970)
  * debian/control: libva-dev's arch from "all" to "any"
  * debian/control: libva-dev dependencies cleaned
  * debian/control: Standards-Version bumped to 3.9.3
  * debian/rules: configure parameters added for M-A
  * debian/: Multi-Arch support added

  [ Andres Mejia ]
  * Include dpkg-source options in generated debian tarball.
  * Don't include Multi-Arch field for packages which are not shared libraries.
  * Use dh_auto_configure to pass in default+extra configure options.
  * Support parallel builds.
  * Remove test/demo programs from installation. This removes the libva-utils
    package.
  * Refreshed patches.

 -- Andres Mejia <amejia@debian.org>  Fri, 16 Mar 2012 11:10:01 -0400

libva (1.0.15-1) experimental; urgency=low

  [ Reinhard Tartler ]
  * Imported Upstream version 1.0.15 (Closes: #654567)
  * Bump shlibs for API 'fixes' mentioned in upstream NEWS file

  [ Brandon Snider ]
  * The intel i965 driver has been moved to its own package
    - Removed i965-va-driver package from debian/control and replaced it
      with libva-egl1 package
  * refreshed debian/patches/remove-unneeded-dep2.patch
  * refreshed debian/patches/remove-unneeded-dep.patch
  * Added depends on libva-egl1 to debian/control
  * Added libva-utils package to debian/control
  * Added egl.so file to debian/libva-dev.install
  * Created debian/libva-utils.install

  [ Matteo F. Vescovi ]
  * debian/control: bump Standards-Version to 3.9.2
  * debian/clean: clean upstream after build
  * debian/control: "Section:" field re-positioned
  * debian/control: adding myself to "Uploaders:" field
  * debian/control: VCS-browser link updated

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 04 Jan 2012 20:42:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,36 @@
 Source: libva
+Section: libs
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andres Mejia <amejia@debian.org>,
- Reinhard Tartler <siretart@tauware.de>
+ Reinhard Tartler <siretart@tauware.de>,
+ Matteo F. Vescovi <mfv.debian@gmail.com>
 Build-Depends:
- debhelper (>= 7.0.50),
+ debhelper (>= 9),
  dh-autoreconf,
- libdrm-dev (>= 2.4.23),
+ libdrm-dev,
  libgl1-mesa-dev | libgl-dev,
  libx11-dev,
  libxext-dev,
  libxfixes-dev,
  pkg-config
-Standards-Version: 3.9.1
-Section: libs
+Standards-Version: 3.9.3
 Homepage: http://www.freedesktop.org/wiki/Software/vaapi
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/libva.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libva.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libva.git
 DM-Upload-Allowed: yes
 
 Package: libva-dev
 Section: libdevel
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Depends:
- libva-glx1 (<< ${source:Upstream-Version}+1~),
- libva-glx1 (>= ${source:Upstream-Version}),
- libva-tpi1 (<< ${source:Upstream-Version}+1~),
- libva-tpi1 (>= ${source:Upstream-Version}),
- libva-x11-1 (<< ${source:Upstream-Version}+1~),
- libva-x11-1 (>= ${source:Upstream-Version}),
- libva1 (<< ${source:Upstream-Version}+1~),
- libva1 (>= ${source:Upstream-Version}),
+ libva-egl1 (= ${binary:Version}),
+ libva-glx1 (= ${binary:Version}),
+ libva-tpi1 (= ${binary:Version}),
+ libva-x11-1 (= ${binary:Version}),
+ libva1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Description: Video Acceleration (VA) API for Linux -- development files
@@ -48,6 +47,8 @@
 
 Package: libva1
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -67,6 +68,8 @@
 
 Package: libva-x11-1
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -84,6 +87,8 @@
 
 Package: libva-glx1
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -101,6 +106,8 @@
 
 Package: libva-tpi1
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -116,14 +123,14 @@
  .
  This package provides the libva-tpi library.
 
-Package: i965-va-driver
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
-Provides:
- va-driver
+Package: libva-egl1
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Description: Video Acceleration (VA) API for Linux -- i965 VA driver
+Description: Video Acceleration (VA) API for Linux -- EGL runtime
  Video Acceleration API (VA API) is a library ("libVA") and API specification
  which enables and provides access to graphics hardware (GPU) acceleration for
  video processing on Linux and UNIX based operating systems. Accelerated
@@ -133,9 +140,10 @@
  limited to GPUs or Intel specific hardware, as other hardware and manufacturers
  can also freely use this API for hardware accelerated video decoding.
  .
- This package provides the Intel i965 VA backend driver.
+ This package provides the libva-egl library.
 
 Package: vainfo
+Section: utils
 Architecture: any
 Depends:
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_makeshlibs:
	dh_makeshlibs -Nlibva1 -Nlibva-x11-1
	dh_makeshlibs -plibva-x11-1 -V 'libva-x11-1 (>> 1.0.15~)'
	dh_makeshlibs -plibva1      -V 'libva1 (>> 1.0.15~)'

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

get-orig-source:
	$(dir $_)libva-get-orig-source

=== debian/watch ===
version=3
# we look for urls like http://cgit.freedesktop.org/libva/snapshot/libva-1.0.5.tar.bz2
http://cgit.freedesktop.org/libva/ /libva/snapshot/libva-([\d+\.]+)\.tar\.bz2
